org.apache.ignite.ml.environment.logging

## Class ConsoleLogger

- java.lang.Object
- - org.apache.ignite.ml.environment.logging.ConsoleLogger

- All Implemented Interfaces:
    MLLogger

      public class ConsoleLogger
      extends Object
      implements MLLogger

  Simple logger printing to STD-out.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ConsoleLogger.Factory` ConsoleLogger factory.

    - ### Nested classes/interfaces inherited from interface org.apache.ignite.ml.environment.logging.MLLogger

      `MLLogger.VerboseLevel`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConsoleLogger.Factory` | `factory(MLLogger.VerboseLevel maxVerboseLevel)` Returns an instance of ConsoleLogger factory.
    `<K,V> IgniteModel<K,V>` | `log(MLLogger.VerboseLevel verboseLevel, IgniteModel<K,V> mdl)` Log model according to toString method.
    `void` | `log(MLLogger.VerboseLevel verboseLevel, String fmtStr, Object... params)` Log line with formatting.
    `Vector` | `log(Vector vector)` Log vector.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### factory

          public static ConsoleLogger.Factory factory(MLLogger.VerboseLevel maxVerboseLevel)

      Returns an instance of ConsoleLogger factory.
      Parameters:
        `maxVerboseLevel` - Max verbose level.

    - #### log

          public Vector log(Vector vector)

      Log vector.
      Specified by:
        `log` in interface `MLLogger`
      Parameters:
        `vector` - Vector.

    - #### log

          public <K,V> IgniteModel<K,V> log(MLLogger.VerboseLevel verboseLevel,
                                            IgniteModel<K,V> mdl)

      Log model according to toString method.
      Specified by:
        `log` in interface `MLLogger`
      Parameters:
        `verboseLevel` - Verbose level.
        `mdl` - Model.

    - #### log

          public void log(MLLogger.VerboseLevel verboseLevel,
                          String fmtStr,
                          Object... params)

      Log line with formatting.
      Specified by:
        `log` in interface `MLLogger`
      Parameters:
        `verboseLevel` - Verbose level.
        `fmtStr` - Format string.
        `params` - Params.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020